読者です 読者をやめる 読者になる 読者になる

ImageMagick-devel の依存関係エラー

bzip2-devel は ImageMagick-devel-6.8.0-9.i386 に必要とされています
yum -y install bzip2-devel

freetype-devel は ImageMagick-devel-6.8.0-9.i386 に必要とされています
yum -y install freetype-devel

ghostscript-devel は ImageMagick-devel-6.8.0-9.i386 に必要とされています
yum -y install ghostscript-devel

jasper-devel は ImageMagick-devel-6.8.0-9.i386 に必要とされています
yum -y install jasper-devel --enablerepo=rpmforge

lcms-devel は ImageMagick-devel-6.8.0-9.i386 に必要とされています


libX11-devel は ImageMagick-devel-6.8.0-9.i386 に必要とされています
libXext-devel は ImageMagick-devel-6.8.0-9.i386 に必要とされています
libXt-devel は ImageMagick-devel-6.8.0-9.i386 に必要とされています
libjpeg-devel は ImageMagick-devel-6.8.0-9.i386 に必要とされています
libtiff-devel は ImageMagick-devel-6.8.0-9.i386 に必要とされています

→全部 yum -y install で。


rpmでのImageMagick-develはOK


次にエラー。
checking for InitializeMagick() in -lMagickCore... no
checking for InitializeMagick() in -lMagick... no
checking for InitializeMagick() in -lMagick++... no




参考
http://takuya1984.hatenablog.com/entry/20120508/1336488683
http://qiita.com/items/6b1c6c7257042a159cc9
http://yuagarizombie.blog.fc2.com/blog-entry-18.html
http://answers.bitnami.org/questions/4142/redmine-64bit-on-centos-62-cant-install-rmagick


下記も追加
yum -y install --enablerepo=rpmforge djvulibre